Unschedule Record Event

Cancels a previously scheduled recording for a calendar event and releases associated bot resources. For recurring events, the 'all_occurrences' parameter controls whether to unschedule from all instances of the recurring series or just the specific occurrence. This operation is idempotent and will not error if no bot was scheduled. Returns the updated event(s) with the bot parameters removed.

DELETE
/calendar_events/{uuid}/bot

Authorization

ApiKeyAuth
x-meeting-baas-api-key<token>

API key for authentication

In: header

Path Parameters

uuid*string

The UUID identifier

Query Parameters

all_occurrences?|

unschedule a bot from all occurences of a recurring event

Response Body

application/json

curl -X DELETE "https://api.meetingbaas.com/calendar_events/string/bot"
[
  {
    "attendees": [
      {
        "email": "string",
        "name": "string"
      }
    ],
    "bot_param": {
      "bot_image": "string",
      "bot_name": "string",
      "deduplication_key": "string",
      "enter_message": "string",
      "extra": {},
      "noone_joined_timeout": 0,
      "recording_mode": "speaker_view",
      "speech_to_text_api_key": "string",
      "speech_to_text_provider": "Gladia",
      "streaming_audio_frequency": "16khz",
      "streaming_input": "string",
      "streaming_output": "string",
      "transcription_custom_parameters": {},
      "waiting_room_timeout": 0,
      "webhook_url": "string",
      "zoom_access_token_url": "string",
      "zoom_obf_token": "string",
      "zoom_obf_token_url": "string",
      "zoom_obf_token_user_id": "string",
      "zoom_sdk_id": "string",
      "zoom_sdk_pwd": "string"
    },
    "calendar_uuid": "fd186a18-ef28-468e-9173-223796807e2e",
    "deleted": true,
    "end_time": "2019-08-24T14:15:22Z",
    "google_id": "string",
    "is_organizer": true,
    "is_recurring": true,
    "last_updated_at": "2019-08-24T14:15:22Z",
    "meeting_url": "string",
    "name": "string",
    "raw": {},
    "recurring_event_id": "string",
    "start_time": "2019-08-24T14:15:22Z",
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f"
  }
]